Use the legacy Data Export API to retrieve signed URLs for exported data for a specific date.

All requests should be made to your API base URL: https://api.ultimate.ai

JSON format

Data exports are represented as JSON objects with the following property:

NameTypeRequiredDescription
datestringYesThe date for which data export is requested, in YYYY-MM-DD format.
ttlintegerNoThe duration, in minutes, that the URL is valid and usable

Get Signed URLs for Exported Data

  • POST /data-export/v2/get-signed-urls

Fetches downloadable (signed) URLs for exported data on a specified date. The API responds with the requested date and a list of signed URLs for data export files. You can optionally specify a ttl value in minutes to define how long the signed URL remains valid.

Parameters

NameTypeInRequiredDescription
authorizationstringheaderYesYour API authorization token
organizationidstringheaderYesThe id of the organization
botidstringheaderYesThe id of the bot for the export

Example body

{  "date": "2025-10-30",  "ttl": 10}

Responses

200 The request was successful. Returns the requested date and a list of signed URLs for downloading export files.
400 Bad request. The request body is invalid or missing required fields.
500 Internal server error.